passwdstore.h File Reference
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/stringlist.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_PASSWD_STORE | GWEN_PASSWD_STORE

## Functions

GWENHYWFAR_API void | GWEN_PasswordStore_ClearStoragePasswd (GWEN_PASSWD_STORE *sto)
GWENHYWFAR_API void | GWEN_PasswordStore_free (GWEN_PASSWD_STORE *sto)
GWENHYWFAR_API int | GWEN_PasswordStore_GetPassword (GWEN_PASSWD_STORE *sto, const char *token, char *buffer, int minLen, int maxLen)
GWENHYWFAR_API int | GWEN_PasswordStore_GetTokenList (GWEN_PASSWD_STORE *sto, GWEN_STRINGLIST *sl)
GWENHYWFAR_API GWEN_PASSWD_STORE * | GWEN_PasswordStore_new (const char *fname)
GWENHYWFAR_API int | GWEN_PasswordStore_SetPassword (GWEN_PASSWD_STORE *sto, const char *token, const char *secret)

## Typedef Documentation

## GWEN_PASSWD_STORE

typedef struct GWEN_PASSWD_STORE GWEN_PASSWD_STORE

Definition at line 37 of file passwdstore.h.

## Function Documentation

## GWEN_PasswordStore_ClearStoragePasswd()

GWENHYWFAR_API void GWEN_PasswordStore_ClearStoragePasswd | ( | GWEN_PASSWD_STORE * | sto | ) |

References GWENHYWFAR_API.

## GWEN_PasswordStore_free()

GWENHYWFAR_API void GWEN_PasswordStore_free | ( | GWEN_PASSWD_STORE * | sto | ) |

References GWENHYWFAR_API.

## GWEN_PasswordStore_GetPassword()

GWENHYWFAR_API int GWEN_PasswordStore_GetPassword | ( | GWEN_PASSWD_STORE * | sto,
|  | const char * | token,
|  | char * | buffer,
|  | int | minLen,
|  | int | maxLen )

References GWENHYWFAR_API.

## GWEN_PasswordStore_GetTokenList()

GWENHYWFAR_API int GWEN_PasswordStore_GetTokenList | ( | GWEN_PASSWD_STORE * | sto,
|  | GWEN_STRINGLIST * | sl )

## GWEN_PasswordStore_new()

GWENHYWFAR_API GWEN_PASSWD_STORE * GWEN_PasswordStore_new | ( | const char * | fname | ) |

References GWENHYWFAR_API.

## GWEN_PasswordStore_SetPassword()

GWENHYWFAR_API int GWEN_PasswordStore_SetPassword | ( | GWEN_PASSWD_STORE * | sto,
|  | const char * | token,
|  | const char * | secret )

References GWENHYWFAR_API.